<ion-header>
  <ion-navbar color="primary" text-center>
    <ion-title>Settings</ion-title>
  </ion-navbar>
</ion-header>


<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-col width-100>
        <ion-list no-lines>
          <form (ngSubmit)="saveForm()">
            <!-- category -->
            <ion-item color="list-item">
              <ion-label floating>
                Category
              </ion-label>

              <ion-select [(ngModel)]="options.category" name="catergory">
                <ion-option *ngFor="let category of categories" value="{{category.id}}">
                  {{category.name}}
                </ion-option>
              </ion-select>
            </ion-item>

            <!-- difficulty -->
            <ion-item color="list-item">
              <ion-label floating>
                Difficulty
              </ion-label>

              <ion-select [(ngModel)]="options.difficulty" name="difficulty">
                <ion-option value="easy">Easy</ion-option>
                <ion-option value="medium">Medium</ion-option>
                <ion-option value="hard">Hard</ion-option>
              </ion-select>
            </ion-item>

            <!-- number of quizzes -->
            <ion-item color="list-item">
              <ion-label floating>
                Number of questions
              </ion-label>

              <ion-input [(ngModel)]="options.amount" name="amount" type="number" min="1" required></ion-input>
            </ion-item>

            <button ion-button color="secondary" type="submit" block>Save</button>
          </form>
        </ion-list>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
